id: 
name: GitOps.PullRequestIssueManagement
description: GitOps.PullRequestIssueManagement primitive
owner: 
resource: repository
disabled: false
where: 
configuration:
  resourceManagementConfiguration:
    scheduledSearches:
    - description: 
      frequencies:
      - hourly:
          hour: 1
      filters:
      - isIssue
      - isOpen
      - hasLabel:
          label: 'Needs: Author Feedback'
      - hasLabel:
          label: no-recent-activity
      - noActivitySince:
          days: 3
      - isNotLabeledWith:
          label: service bug
      actions:
      - closeIssue
    - description: 
      frequencies:
      - hourly:
          hour: 1
      filters:
      - isIssue
      - isOpen
      - hasLabel:
          label: 'Needs: Author Feedback'
      - noActivitySince:
          days: 4
      - isNotLabeledWith:
          label: no-recent-activity
      actions:
      - addLabel:
          label: no-recent-activity
      - addReply:
          reply: This issue has been automatically marked as stale because it has been marked as requiring author feedback but has not had any activity for **4 days**. It will be closed if no further activity occurs **within 3 days of this comment**.
    - description: 
      frequencies:
      - hourly:
          hour: 1
      filters:
      - isIssue
      - isOpen
      - hasLabel:
          label: duplicate
      - noActivitySince:
          days: 1
      actions:
      - addReply:
          reply: This issue has been marked as duplicate and has not had any activity for **1 day**. It will be closed for housekeeping purposes.
      - closeIssue
    eventResponderTasks:
    - if:
      - payloadType: Issue_Comment
      - isAction:
          action: Created
      - isActivitySender:
          issueAuthor: True
      - hasLabel:
          label: 'Needs: Author Feedback'
      then:
      - addLabel:
          label: 'Needs: Attention :wave:'
      - removeLabel:
          label: 'Needs: Author Feedback'
      description: 
    - if:
      - payloadType: Issues
      - not:
          isAction:
            action: Closed
      - hasLabel:
          label: no-recent-activity
      then:
      - removeLabel:
          label: no-recent-activity
      description: 
    - if:
      - payloadType: Issues
      - labelAdded:
          label: service bug
      then: []
      description: 
    - if:
      - payloadType: Pull_Request
      - isAction:
          action: Opened
      then:
      - addCodeFlowLink
      description: 
onFailure: 
onSuccess: 
